#include <stdio.h>
#include <math.h>
#include <stdlib.h>
#include <complex.h>

#define N 64
#define A 1.0
#define B -0.1
#define R 2.0

extern realfft(double *, unsigned int, double *);

void
main()
{
    int i;
    unsigned int n = N;
    double in[N];
    double out[N];
    FILE *fin, *fout;

    fin  = fopen("in.dat" , "w");
    fout = fopen("out.dat", "w");

    for(i = 0; i < n; i++){
        in[i] = A * sin((double)i/(double)n * R * 2 * M_PI)
              + B * cos((double)i/(double)n * R * 10 * M_PI);
        fprintf(fin, "%e\n", in[i]);
    }

    realfft(in, n, out);

    for(i = 0; i < n; i++){
        fprintf(fout, "%e\n", out[i]);
    }
    
}
