#define START_TASK      1
#define STOP_TASK       2

struct my_msg_struct {
	int command;
	int resolution;       // 1 $B<~4|J,$N(B sin $BGH7A$r(B, $B2?E@$N%G!<%?$G9=@.$9$k$+(B
	double sampling_period;    // $B%5%s%W%j%s%0<~4|(B [sec]
        int recording_samples;  // $B5-O?$9$k%G!<%?$NE@?t(B
        int canceling_samples;   // $B5-O?$;$:$K<N$F$k%G!<%?$NE@?t(B
	int spk_num; // $B%9%T!<%+HV9f(B 0:SPK2, 1:SPK3, 2:SPK1
        float amp; // $B@589GH$N?6I}(B [V]
};

#define BUF_LEN 4

#define SAMPLING_PERIOD 200e-6 // [sec]
#define LENGTH_MAX 2500  // $B:GBg%G!<%?D9(B 0.5 [sec] ($B>!<j$K7h$a$k(B) / $B:G>.%5%s%W%j%s%0<~4|(B 200 [$B&L(Bsec]
#define PERIOD_MAX 500  // 1 / $B:G>.%F%9%H<~GH?t(B / $B:G>.%5%s%W%j%s%0<~4|(B
//#define PERIOD_MAX 5    

//#define F10_LOW 1.         // $BA]0z$9$k<~GH?t$N2<8BCM(B($B>oMQBP?t(B) 10 Hz
#define F10_LOW 2.         // $BA]0z$9$k<~GH?t$N2<8BCM(B($B>oMQBP?t(B) 10 Hz
//#define F10_HIGH 1.5   // $BA]0z$9$k<~GH?t$N>e8BCM(B($B>oMQBP?t(B) 1kHz
#define F10_HIGH 3.3   // $BA]0z$9$k<~GH?t$N>e8BCM(B($B>oMQBP?t(B) 1kHz
#define AMP_CH0 1.0
#define AMP_CH1 1.0
#define AMP_CH2 1.0

#define F10_STEP 0.01      // $BA]0z$9$k4V3V(B
//#define F10_STEP 0.05     // $BA]0z$9$k4V3V(B
#define LOOP 1            // $B2<8BCM$+$i>e8BCM$^$G(B, $B2?2sA]0z$9$k$+(B
#define WAITING_TIME 0.2  // $B<~GH?t$r@_Dj$7$F$+$i%G!<%?$r<h$j9~$`$^$G$N(B, $BBT$A;~4V(B

// #define SKIP // $B%F%9%H<~GH?t$,%m!<%?$N4pK\<~GH?t$K6a$$>l9g$K$O!$%9%-%C%W$9$k(B
// #define DEBUG // $BC10l<~GH?t(B(pow(10,F10_LOW))$B$N;~4V1~Ez$r=PNO$9$k>l9g(B
// #define SP_CH 0 // 0 ... 2 $B<!2;8;!$(B1 ... 1 $B<!2;8;(B

//#define PERIOD_COUNT 100
#define PERIOD_COUNT 2000
